]> arthur.barton.de Git - bup.git/blobdiff - cmd/tag-cmd.py
test-split-join: test that split --noop produces no output
[bup.git] / cmd / tag-cmd.py
index 95b3d7c7e8a4765be2b8eaa1095c4799f2f552db..00647b973ba3f1e3cbc8fb4595b905c951ff64f6 100755 (executable)
@@ -1,13 +1,15 @@
-#!/usr/bin/env python
-"""Tag a commit in the bup repository.
-Creating a tag on a commit can be used for avoiding automatic cleanup from
-removing this commit due to old age.
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
 """
-import sys
-import os
+# end of bup preamble
+
+from __future__ import absolute_import
+import os, sys
 
 from bup import git, options
-from bup.helpers import *
+from bup.helpers import debug1, handle_ctrl_c, log
 
 # FIXME: review for safe writes.
 
@@ -16,7 +18,7 @@ handle_ctrl_c()
 optspec = """
 bup tag
 bup tag [-f] <tag name> <commit>
-bup tag -d [-f] <tag name>
+bup tag [-f] -d <tag name>
 --
 d,delete=   Delete a tag
 f,force     Overwrite existing tag, or ignore missing tag when deleting
@@ -62,7 +64,7 @@ if tag_name.startswith('.'):
 
 try:
     hash = git.rev_parse(commit)
-except git.GitError, e:
+except git.GitError as e:
     log("bup: error: %s" % e)
     sys.exit(2)
 
@@ -78,7 +80,7 @@ if not pL.exists(hash):
 tag_file = git.repo('refs/tags/%s' % tag_name)
 try:
     tag = file(tag_file, 'w')
-except OSError, e:
+except OSError as e:
     log("bup: error: could not create tag '%s': %s" % (tag_name, e))
     sys.exit(3)